package com.saye.hospitalgd.service.impl;

import com.saye.hospitalgd.mapper.ThirdFtpConfigMapper;
import com.saye.hospitalgd.service.ThirdFtpConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * (ThirdFtpConfig)表服务实现类
 *
 * @author makejava
 * @since 2021-09-16 14:37:46
 */
@Service
public class ThirdFtpConfigServiceImpl implements ThirdFtpConfigService {
    @Resource
    private ThirdFtpConfigMapper thirdFtpConfigMapper;

    @Override
    public HashMap<Object, Object> findThirdFtpConfigById(HashMap<Object,Object> map) {
        return this.thirdFtpConfigMapper.findThirdFtpConfigById(map);
    }

    @Override
    public  List<HashMap<Object, Object>> findThirdFtpConfigList(HashMap<Object,Object> map) {
        return this.thirdFtpConfigMapper.findThirdFtpConfigList(map);
    }

    @Override
    public void insertThirdFtpConfig(HashMap<Object,Object> map) {
        this.thirdFtpConfigMapper.insertThirdFtpConfig(map);
    }

    @Override
    public void updateThirdFtpConfig(HashMap<Object,Object> map) {
        this.thirdFtpConfigMapper.updateThirdFtpConfig(map);
    }

    @Override
    public void deleteThirdFtpConfigById(HashMap<Object,Object> map) {
        this.thirdFtpConfigMapper.deleteThirdFtpConfigById(map);
    }
    @Override
    public List<HashMap<Object, Object>> findWLIF(HashMap<Object, Object> searchMap) {
        return thirdFtpConfigMapper.findWLIF(searchMap);
    }
}
